> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/sats-connect/wallet-methods/wallet_open/wallet_openearn.md).

# wallet\_openEarn

{% hint style="info" %}
:soon: The wallet\_openEarn method is coming soon&#x20;
{% endhint %}

## Help users put Bitcoin & stablecoins to work in BitcoinFi

Your app can use the `wallet_openEarn` method to open Xverse Wallet’s native **Earn** flow for a specific yield strategy, so the user can deposit Bitcoin or stablecoins directly from their wallet.

This is especially useful for onboarding users into BitcoinFi experiences across Bitcoin and Bitcoin L2 ecosystems such as **Starknet, Spark, or Stacks**.

## Request Params <a href="#id-6c42baa3-c47d-47b0-9a64-be9a102ea8ad" id="id-6c42baa3-c47d-47b0-9a64-be9a102ea8ad"></a>

* `strategy` (required)&#x20;
  * The Xverse Earn yield strategy to open
  * Example: `WBTC_nativeStaking` (staking WBTC natively on Starknet)

## Permissions Required <a href="#id-616fb9ae-ded6-43dc-9c32-52a1a9ca8e55" id="id-616fb9ae-ded6-43dc-9c32-52a1a9ca8e55"></a>

* 🔓 Your app must have first [connected to the wallet](https://docs.xverse.app/sats-connect/connecting-to-the-wallet/connect-to-xverse-wallet) and obtained [account read permissions](https://docs.xverse.app/sats-connect/xverse-wallet-permissions)
* 🔒 If your user has not [connected their active Xverse account to your app](https://docs.xverse.app/sats-connect/connecting-to-the-wallet/connect-to-xverse-wallet) yet, and your app does not the necessary account read [permissions](https://docs.xverse.app/sats-connect/xverse-wallet-permissions) -> the method will throw with an access denied error

## wallet\_openEarn Result: Open the Earn Flow <a href="#id-4c07a335-c0e0-4b42-81af-85ec2d1171bb" id="id-4c07a335-c0e0-4b42-81af-85ec2d1171bb"></a>

### ✅ Success <a href="#c7fcb152-b219-4511-9f1d-f3992d2c739e" id="c7fcb152-b219-4511-9f1d-f3992d2c739e"></a>

If the account is connected and the requested onramp exists

* -> the method successfully returns `openEarnResult`
* -> Xverse Wallet opens the **Earn** screen for the requested strategy
  * the user can then choose an amount and confirm the deposit/investment in Xverse Wallet

![](/files/x3sNpdnyMLtO2V7B2akf)

### ❌ Error <a href="#d6911fd7-b946-47e4-8dc8-70af3607487a" id="d6911fd7-b946-47e4-8dc8-70af3607487a"></a>

* If the account is not connected or the requested Xverse Earn strategy does not exist, the method will reject with an error object.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xverse.app/sats-connect/wallet-methods/wallet_open/wallet_openearn.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
